EncodedAppenderWriter (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.support.encoding
[Java] Class EncodedAppenderWriter

    java.lang.Object
      java.io.Writer
          org.codehaus.groovy.grails.support.encoding.EncodedAppenderWriter

All Implemented Interfaces:
  EncodedAppenderFactory, EncodedAppenderWriterFactory, EncoderAware

    public class EncodedAppenderWriter
    extends java.io.Writer

A java.io.Writer implementation that writes to a EncodedAppender with a certain encoder

Authors:
  Lari Hotari

Since:
  2.3

Field Summary
`protected EncodedAppender` | `encodedAppender`
`protected Encoder` | `encoder`
`protected EncodingStateRegistry` | `encodingStateRegistry`

Constructor Summary
`EncodedAppenderWriter(EncodedAppender encodedAppender, Encoder encoder, EncodingStateRegistry encodingStateRegistry)` Default constructor

Method Summary
`java.io.Writer` | `append(java.lang.CharSequence csq)`
`java.io.Writer` | `append(java.lang.CharSequence csq, int start, int end)`
`java.io.Writer` | `append(char c)`
`void` | `close()`
`void` | `flush()`
`EncodedAppender` | `getEncodedAppender()`
`Encoder` | `getEncoder()`
`java.io.Writer` | `getWriterForEncoder(Encoder encoder, EncodingStateRegistry encodingStateRegistry)`
`void` | `write(char[] cbuf, int off, int len)`
`void` | `write(int c)`
`void` | `write(java.lang.String str, int off, int len)`

Methods inherited from class java.io.Writer
java.io.Writer#append(java.lang.CharSequence, int, int), java.io.Writer#append(char), java.io.Writer#append(java.lang.CharSequence), java.io.Writer#append(char), java.io.Writer#append(java.lang.CharSequence, int, int), java.io.Writer#append(java.lang.CharSequence), java.io.Writer#write([C), java.io.Writer#write([C, int, int), java.io.Writer#write(int), java.io.Writer#write(java.lang.String, int, int), java.io.Writer#write(java.lang.String), java.io.Writer#flush(), java.io.Writer#close(), java.io.Writer#wait(long, int), java.io.Writer#wait(long), java.io.Writer#wait(), java.io.Writer#equals(java.lang.Object), java.io.Writer#toString(), java.io.Writer#hashCode(), java.io.Writer#getClass(), java.io.Writer#notify(), java.io.Writer#notifyAll()

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### encodedAppender

    protected EncodedAppender encodedAppender

### encoder

    protected Encoder encoder

### encodingStateRegistry

    protected EncodingStateRegistry encodingStateRegistry

Constructor Detail

### EncodedAppenderWriter

    public EncodedAppenderWriter(EncodedAppender encodedAppender, Encoder encoder, EncodingStateRegistry encodingStateRegistry)

  Default constructor
  Parameters:
    `encodedAppender` - the EncodedAppender destination
    `encoder` - the encoder to use
    `encodingStateRegistry` - the EncodingStateRegistry to use to lookup encoding state of CharSequence instances

Method Detail

### append

    @java.lang.Override
    public java.io.Writer append(java.lang.CharSequence csq)

### append

    @java.lang.Override
    public java.io.Writer append(java.lang.CharSequence csq, int start, int end)

### append

    @java.lang.Override
    public java.io.Writer append(char c)

### close

    @java.lang.Override
    public void close()

### flush

    @java.lang.Override
    public void flush()

### getEncodedAppender

    public EncodedAppender getEncodedAppender()

### getEncoder

    public Encoder getEncoder()

### getWriterForEncoder

    public java.io.Writer getWriterForEncoder(Encoder encoder, EncodingStateRegistry encodingStateRegistry)

### write

    @java.lang.Override
    public void write(char[] cbuf, int off, int len)

### write

    @java.lang.Override
    public void write(int c)

### write

    @java.lang.Override
    public void write(java.lang.String str, int off, int len)

Groovy Documentation